import board
import busio
import sdcardio
import storage
import time
spi = busio.SPI(board.B13, MOSI=board.B15, MISO=board.B14)
cs = board.B12
sdcard = sdcardio.SDCard(spi, cs)
vfs = storage.VfsFat(sdcard)
storage.mount(vfs, "/sd")

with open("/sd/test.txt", "w") as f:
    f.write("Hello world!\r\n")

with open("/sd/test.txt", "a") as f:
    f.write("This is another line!\r\n")

with open("/sd/test.txt", "r") as f:
    print("Printing lines in file test.txt:")
    for line in f:
        print(line, end='')

while(True):
    pass